Altibase.jdbc.driver.sharding.core

## Class AltibaseShardingFailover

- java.lang.Object
- - Altibase.jdbc.driver.sharding.core.AltibaseShardingFailover

    public class AltibaseShardingFailover
    extends java.lang.Object

샤딩과 관련된 Failover 동작을 수행한다.

### Constructor Summary

Constructors
Constructor and Description
`AltibaseShardingFailover(AltibaseShardingConnection aMetaConn)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`void` `alignDataNodeConnection(AltibaseConnection aNodeConn, FailoverAlignInfo aAlignInfo)`
`void` `notifyFailover(AltibaseConnection aConn)`
`void` `setTouchedToAllNodes()`
`static void` `tryShardFailOver(AltibaseConnection aNodeConn, java.sql.SQLException aEx)` 노드커넥션이고 통신에러가 났을때 alternateservers 셋팅이 없으면 FailoverIsNotAvailableException을 올리고 그렇지 않은 경우 STF로 처리한다.
`void` `updateShardNodeList(AltibaseConnection aConn)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AltibaseShardingFailover

    public AltibaseShardingFailover(AltibaseShardingConnection aMetaConn)

### Method Detail

#### notifyFailover

    public void notifyFailover(AltibaseConnection aConn)

#### updateShardNodeList

    public void updateShardNodeList(AltibaseConnection aConn)
                             throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### alignDataNodeConnection

    public void alignDataNodeConnection(AltibaseConnection aNodeConn,
                                        FailoverAlignInfo aAlignInfo)
                                 throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### setTouchedToAllNodes

    public void setTouchedToAllNodes()
                              throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### tryShardFailOver

    public static void tryShardFailOver(AltibaseConnection aNodeConn,
                                        java.sql.SQLException aEx)
                                 throws java.sql.SQLException

노드커넥션이고 통신에러가 났을때 alternateservers 셋팅이 없으면 FailoverIsNotAvailableException을 올리고 그렇지 않은 경우 STF로 처리한다.

Parameters:
  `aEx` - 발생한 익셉션
Throws:
  `java.sql.SQLException` - prepare, execute, fetch 도중 오류가 발생한 경우